<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="carpetagacss/estilos.css"></link>
        <link rel="icon" href="imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </head>
    <h:body>
        <h:form>
            <p:growl id="msgs" showDetail="true"/>  
            <center>
                <table>
                    <tr>
                        <td colspan="4">
                            <div class="advertencia">
                                <p:panelGrid columns="2">
                                    <!--SIRVE PARA ENCABEZADOS-->
                                    <f:facet name="header">INGRESAR</f:facet>
                                    <br></br>
                                    <h:outputText value="Usuario"/>
                                    <p:inputText value="#{loginBean.usuario}"/>
                                    <h:outputText value="Contraseña"/>
                                    <p:password value="#{loginBean.password}"/>

                                    <p:commandButton id="botonGuardar" value="Ingresar" class="botonbuscador" process="@all"
                                                     actionListener = "#{loginBean.hacerLogin()}"
                                                     update="msgs"/>

                                    <p:commandButton type="reset" value="Limpiar" class="botonbuscador"/>
                                </p:panelGrid>
                            </div>
                        </td>
                    </tr>
                </table>
            </center>   
        </h:form>
    </h:body>
</html>
